Package com.usatiuk.objects

# Interface JData

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `JDataRefcounted`, `JMapHolder<K>`

All Known Implementing Classes:
  `File`, `JKleppmannTreeNodeHolder`, `JKleppmannTreePersistentData`, `JMapEntry`, `PersistentRemoteHostsData`, `RemoteObjectDataWrapper`, `RemoteObjectMeta`

public interface JData extends Serializable

## Method Summary

Modifier and Type
Method
Description
`default int`
`estimateSize()`
`JObjectKey`
`key()`

## Method Details

### key

JObjectKey key()

### estimateSize

default int estimateSize()